<?php
include_once("club-class-document.php");
/**
 * @project Club
 * @file    wp_club_players.php
 * @class   Player
 * @author  Alex Borras
 * @date    3131-0101-09090909
 * Class of table wp_club_players
 */
class Player
{
/**
 * Class Player
*/
function Player($p_player_id = 0)
{
    $num_args = func_num_args();
	// ID value or recordset
    if ($num_args >0)
    {
    	$this->select($p_player_id);
    }
}
// Private Vars
private $player_id;
private $player_txt;
private $firstname;
private $lastname;
private $number;
private $title;
private $team_id;
private $team_txt;
private $position_txt;
private $alternate_position_txt;
private $category_txt;
private $birthdate;
private $birthplace;
private $height;
private $weight;
private $video;
private $remarks;
private $matches_sanction;
private $matches_remaining;
private $elo;
private $table;
private $exits;
//**
//* Publics properties
//*
/**
* Return player_id
*
* @return bigint(20)
*/
function get_player_id()
{
	return $this->player_id;
}
/**
* Set player_id
*
* @return   void
*/
function set_player_id($p_player_id)
{
    $this->player_id=$p_player_id;
}
/**
* Return player_txt
*
* @return varchar(100)
*/
function get_player_txt()
{
	return $this->player_txt;
}
/**
* Set player_txt
*
* @return   void
*/
function set_player_txt($p_player_txt)
{
    $this->player_txt=$p_player_txt;
}
/**
* Return firstname
*
* @return varchar(100)
*/
function get_firstname()
{
	return $this->firstname;
}
/**
* Set firstname
*
* @return   void
*/
function set_firstname($p_firstname)
{
    $this->firstname=$p_firstname;
}
/**
* Return lastname
*
* @return varchar(100)
*/
function get_lastname()
{
	return $this->lastname;
}
/**
* Set lastname
*
* @return   void
*/
function set_lastname($p_lastname)
{
    $this->lastname=$p_lastname;
}
/**
* Return number
*
* @return varchar(8)
*/
function get_number()
{
	return $this->number;
}
/**
* Set number
*
* @return   void
*/
function set_number($p_number)
{
    $this->number=$p_number;
}
/**
* Return title
*
* @return varchar(8)
*/
function get_title()
{
	return $this->title;
}
/**
* Set title
*
* @return   void
*/
function set_title($p_title)
{
    $this->title=$p_title;
}
/**
* Return team_id
*
* @return bigint(20)
*/
function get_team_id()
{
	return $this->team_id;
}
/**
* Set team_id
*
* @return   void
*/
function set_team_id($p_team_id)
{
    $this->team_id=$p_team_id;
}
/**
* Return team_txt
*
* @return varchar(100)
*/
function get_team_txt()
{
	return $this->team_txt;
}
/**
* Set team_txt
*
* @return   void
*/
function set_team_txt($p_team_txt)
{
    $this->team_txt=$p_team_txt;
}
/**
* Return position_txt
*
* @return varchar(100)
*/
function get_position_txt()
{
	return $this->position_txt;
}
/**
* Set position_txt
*
* @return   void
*/
function set_position_txt($p_position_txt)
{
    $this->position_txt=$p_position_txt;
}
/**
* Return alternate_position_txt
*
* @return varchar(200)
*/
function get_alternate_position_txt()
{
	return $this->alternate_position_txt;
}
/**
* Set alternate_position_txt
*
* @return   void
*/
function set_alternate_position_txt($p_alternate_position_txt)
{
    $this->alternate_position_txt=$p_alternate_position_txt;
}
/**
* Return category_txt
*
* @return varchar(100)
*/
function get_category_txt()
{
	return $this->category_txt;
}
/**
* Set category_txt
*
* @return   void
*/
function set_category_txt($p_category_txt)
{
    $this->category_txt=$p_category_txt;
}
/**
* Return birthdate
*
* @return datetime
*/
function get_birthdate()
{
	return $this->birthdate;
}
/**
* Set birthdate
*
* @return   void
*/
function set_birthdate($p_birthdate)
{
    $this->birthdate=$p_birthdate;
}
/**
* Return birthplace
*
* @return varchar(100)
*/
function get_birthplace()
{
	return $this->birthplace;
}
/**
* Set birthplace
*
* @return   void
*/
function set_birthplace($p_birthplace)
{
    $this->birthplace=$p_birthplace;
}
/**
* Return height
*
* @return varchar(100)
*/
function get_height()
{
	return $this->height;
}
/**
* Set height
*
* @return   void
*/
function set_height($p_height)
{
    $this->height=$p_height;
}
/**
* Return weight
*
* @return varchar(100)
*/
function get_weight()
{
	return $this->weight;
}
/**
* Set weight
*
* @return   void
*/
function set_weight($p_weight)
{
    $this->weight=$p_weight;
}
/**
* Return video
*
* @return text
*/
function get_video()
{
	return $this->video;
}
/**
* Set video
*
* @return   void
*/
function set_video($p_video)
{
    $this->video=$p_video;
}
/**
* Return remarks
*
* @return text
*/
function get_remarks()
{
	return $this->remarks;
}
/**
* Set remarks
*
* @return   void
*/
function set_remarks($p_remarks)
{
    $this->remarks=$p_remarks;
}
/**
* Return elo
*
* @return int(4)
*/
function get_elo()
{
	return $this->elo;
}
/**
* Set elo
*
* @return   void
*/
function set_elo($p_elo)
{
    $this->elo=$p_elo;
}
/**
* Return matches_sanction
*
* @return int(4)
*/
function get_matches_sanction()
{
	return $this->matches_sanction;
}
/**
* Set matches_sanction
*
* @return   void
*/
function set_matches_sanction($p_matches_sanction)
{
    $this->matches_sanction=$p_matches_sanction;
}
/**
* Return matches_remaining
*
* @return int(4)
*/
function get_matches_remaining()
{
	return $this->matches_remaining;
}
/**
* Set matches_remaining
*
* @return   void
*/
function set_matches_remaining($p_matches_remaining)
{
    $this->matches_remaining=$p_matches_remaining;
}
/**
* Return table
*
* @return string
*/
function get_table()
{
	return $this->table;
}
/**
* Set table
*
* @return   void
*/
function set_table($p_table)
{
    $this->table=$p_table;
}
/**
* Return existe
*
* @return boolean
*/
function get_existe()
{
	return $this->existe;
}
/**
* Set existe
*
* @return   void
*/
function set_existe($p_existe)
{
    $this->existe=$p_existe;
}
/**
 * Returns Team Home Object, Friendly class of Player
 *
 * @return Team
 */
function get_team()
{
    $obj = new Team($this->get_team_id());
    return $obj;
}
//**
//* Publics Methods
//*
function select($p_player_id)
{
    // Se est pasando un recordset
	if (is_object($p_player_id) )
	{
		$this->fill_properties($p_player_id);
		return;
	}
	// Tratamiento de Acceso para cdigo numricos
	$sql = "SELECT * FROM wp_club_players ";
	if (is_numeric($p_player_id) ) // Se est pasando el identificador
	{
		$sql.= "WHERE player_id=".$p_player_id;
	}
   global $wpdb;
   $this->exits = false;
   $rst = $wpdb->get_results($sql);
   if ( $rst ) {
      foreach( $rst as $row ) {
		   $this->exits = true;
	       $this->fill_properties($row);
      }
   }
}
function fill_properties($p_row)
	// Fill class properties
{
    $this->player_id = $p_row->player_id;
    $this->player_txt = $p_row->player_txt;
    $this->firstname = $p_row->firstname;
    $this->lastname = $p_row->lastname;
    $this->number = $p_row->number;
    $this->title = $p_row->title;
    $this->team_id = $p_row->team_id;
    $this->team_txt = $p_row->team_txt;
    $this->position_txt = $p_row->position_txt;
    $this->alternate_position_txt = $p_row->alternate_position_txt;
    $this->category_txt = $p_row->category_txt;
    $this->birthdate = $p_row->birthdate;
    $this->birthplace = $p_row->birthplace;
    $this->height = $p_row->height;
    $this->weight = $p_row->weight;
    $this->video = $p_row->video;
    $this->remarks = $p_row->remarks;
    $this->elo = $p_row->elo;
    $this->matches_sanction = $p_row->matches_sanction;
    $this->matches_remaining = $p_row->matches_remaining;
    $this->table = "players";
}
/**
* Method 
*
* @return   void
*/
function addnew()
	// Insert new data
{
    $sql = "INSERT INTO wp_club_players SET ";
    $sql.= $this->fill_sql_properties();
    echo "<br>$sql<br>";
    global $wpdb;
    $wpdb->query($sql);
}
/**
* Method 
*
* @return   void
*/
function update()
{
	// Modify data, properties must be filled
	$sql = "UPDATE wp_club_players SET ";
	$sql.= $this->fill_sql_properties();
    $sql.= " WHERE player_id=". $this->player_id ." LIMIT 1;";
    global $wpdb;
    $wpdb->query($sql);
}
/**
* Method 
*
* @return   void
*/
function delete()
{
    // Delete data
	$sql = "DELETE FROM wp_club_players ";
    $sql.= " WHERE player_id=". $this->player_id ." LIMIT 1;";
    global $wpdb;
    $wpdb->query($sql);
}
/**
 * Fille properties for SQL query Insert and Update
 *
 * @return   string
*/
function fill_sql_properties()
{
       $sql.= "player_txt='".$this->player_txt."',";
       $sql.= "firstname='".$this->firstname."',";
       $sql.= "lastname='".$this->lastname."',";
       $sql.= "number='".$this->number."',";
       $sql.= "title='".$this->title."',";
       $sql.= "team_id='".$this->team_id."',";
       $sql.= "team_txt='".$this->team_txt."',";
       $sql.= "position_txt='".$this->position_txt."',";
       $sql.= "alternate_position_txt='".$this->alternate_position_txt."',";
       $sql.= "category_txt='".$this->category_txt."',";
       $sql.= "birthdate='".$this->birthdate."',";
       $sql.= "birthplace='".$this->birthplace."',";
       $sql.= "height='".$this->height."',";
       $sql.= "weight='".$this->weight."',";
       $sql.= "video='".$this->video."',";
       $sql.= "remarks='".$this->remarks."',";
       $sql.= "matches_sanction='" .$this->matches_sanction ."',";
       $sql.= "matches_remaining='".$this->matches_remaining."',";
       $sql.= "elo='".$this->elo."',";
    $sql = substr($sql, 0, -1)." "; // del last quote
    return $sql;
}
/**
* Get Document
* Return Document of Player
* @param int $p_format = 1 returns path file; 2 return file with img tag;3 format 2 + Hiperlynk
* @param $p_height = 230 picture size (230 = full size, 80 = gallery size)
* @return string
*/
function get_document($p_type = "picture", $p_format = 101, $p_height=230){
    $obj_document = New Document($p_type);
    return $obj_document->get_file($this->get_table(), $this->get_player_id(), $p_type, $p_format, $p_height);
    unset($obj_document);
}
/**
* @return   void
* Set Document
*/
function set_document($p_file,$p_type ="picture",$p_text = ""){
    $obj_document = New Document();
    $obj_document->set_table_txt($this->get_table());
    $obj_document->set_file($p_file,$this->get_table(),$this->get_player_id(),$p_type, $p_text = "");
    unset($obj_document);
}
//End Class
}
?>
