<?php
	include_once("club-class-player.php");
	include_once("club-class-document.php");
	include_once("club-functions.php");
$action_players   = get_option('siteurl') . '/wp-admin/admin.php?page=club/club-players.php';
$url_addnewplayer = "<a href=\"$action_players&op=form&sql=addnew\">".__('Add New')."</a>";
function show_menu_players () { 
	global $action_players;
	switch ($_REQUEST['op'])
	{
		case 'add':
			add_player();
			list_players();
			break;
		case 'edit':
			edit_player();
			list_players();
			break;
		case 'delete':
			delete_player();
			list_players();
			break;
		case 'form':
			form_players();
			break;
		default:
			list_players();
	}
}
function list_players() {
	global $action_players;
	$url_addnew = "<a href=\"$action_players&op=form&sql=addnew\">".__('Add New')."</a>";
?>
<br class="clear" />
<div class="wrap">
<h2><?php _e('Manage Players'); ?>&nbsp;(<?php echo $url_addnew; ?>)</h2>
<table>
	<thead>
	<tr>
        <th scope="col"><?php _e('Id',CLUB)  ?></th>
        <th scope="col"><?php _e('Player',CLUB)  ?></th>
        <th scope="col"><?php _e('Number',CLUB) ?></th>
        <th scope="col"><?php _e('Action',CLUB) ?></th>
	</tr>
	</thead>
	<tbody id="the-list" class="list:link-cat">
<?php
/*
$start = ($pagenum - 1) * $catsperpage;
$args = array('offset' => $start, 'number' => $catsperpage, 'hide_empty' => 0);
if ( !empty( $_GET['s'] ) )
	$args['search'] = $_GET['s'];
*/
$col = get_col_players(0,"","number",0,10);
$obj = new Player();
if ( is_array($col) ) {
	foreach ( $col as $obj ) {
		$url = "$action_players&op=form&id=".$obj->get_player_id();
		$url_edit   = "<a href=\"$url&sql=edit\">  ". __('Edit',CLUB)  ."</a>";
		$url_delete = "<a href=\"$url&sql=delete\">". __('Delete',CLUB)."</a>";
		echo "<tr>
				<td><b>".$obj->get_player_id()."</td>
				<td><a href=\"$url&sql=edit\"><b>".$obj->get_player_txt()."</a></td>
				<td>".$obj->get_number()."</td>
				<td>$url_edit | $url_delete</td>
			  </tr>";
	}
	unset($col);
	unset($obj);
}
?>
	</tbody>
</table>
</div>
<?php	
}
function add_player() {
	global $wpdb;
	$_POST = stripslashes_deep($_POST);
	$obj = new Player();
	$obj->set_player_txt($_REQUEST['player_txt']);
	$obj->set_firstname($_REQUEST['firstname']);
	$obj->set_lastname($_REQUEST['lastname']);
	$obj->set_number($_REQUEST['number']);
	$obj->set_team_txt($_REQUEST['team_txt']);
	$obj->set_position_txt($_REQUEST['position_txt']);
	$obj->set_alternate_position_txt($_REQUEST['alternate_position_txt']);
	$obj->set_category_txt($_REQUEST['category_txt']);
	$obj->set_birthdate("{$_REQUEST['year']}-{$_REQUEST['month']}-{$_REQUEST['day']}");
	$obj->set_birthplace($_REQUEST['birthplace']);
	$obj->set_height($_REQUEST['height']);
	$obj->set_weight($_REQUEST['weight']);
	$obj->set_video($_REQUEST['video']);
	$obj->set_remarks($_REQUEST['remarks']);
	$obj->set_document($_FILES['document'],"picture");
	$obj->set_document($_FILES['position'],"position");
	$obj->addnew();
	unset($obj);
}
function edit_player() {
	global $wpdb;
	$_POST = stripslashes_deep($_POST);
	$obj = new Player($_REQUEST['id']);
	$obj->set_player_txt($_REQUEST['player_txt']);
	$obj->set_firstname($_REQUEST['firstname']);
	$obj->set_lastname($_REQUEST['lastname']);
	$obj->set_number($_REQUEST['number']);
	$obj->set_team_txt($_REQUEST['team_txt']);
	$obj->set_position_txt($_REQUEST['position_txt']);
	$obj->set_alternate_position_txt($_REQUEST['alternate_position_txt']);
	$obj->set_category_txt($_REQUEST['category_txt']);
	$obj->set_birthdate("{$_REQUEST['year']}-{$_REQUEST['month']}-{$_REQUEST['day']}");
	$obj->set_birthplace($_REQUEST['birthplace']);
	$obj->set_height($_REQUEST['height']);
	$obj->set_weight($_REQUEST['weight']);
	$obj->set_video($_REQUEST['video']);
	$obj->set_remarks($_REQUEST['remarks']);
	$obj->set_document($_FILES['document'],"picture");
	$obj->set_document($_FILES['position'],"position");
	$obj->update();
	unset($obj);
}
function delete_player() {
	global $wpdb;
	$_POST = stripslashes_deep($_POST);
	$obj = new Player($_REQUEST['id']);
	$obj->delete();
	unset($obj);
}
function form_players() {
	global $action_players;
	$sql = $_REQUEST['sql'];
	$obj = new Player();
	echo "<div class=\"wrap\">";
	switch ($sql) {
		case "addnew";
			$month = select_month();
			echo '<h2>'. __("Add New", CLUB) .'</h2>
			<form method="post" action="'.$action_players.'" enctype="multipart/form-data">
				<table border=0>
				<tr><td><label for="player_txt">'   . __("Player", CLUB)  . ':</label></td><td><input type="text" name="player_txt"  id="player_txt"  size="30" ></td></tr>
				<tr><td><label for="firstname">'    . __("Firstname", CLUB)  . ':</label></td><td><input type="text" name="firstname"  id="firstname"  size="30" ></td></tr>
				<tr><td><label for="lastname">'     . __("Lastname", CLUB)  . ':</label></td><td><input type="text" name="lastname"  id="lastname"  size="30" ></td></tr>
				<tr><td><label for="number">'       . __("Number", CLUB)  . ':</label></td><td><input type="text" name="number"  id="number"  size="3" ></td></tr>
				<tr><td><label for="team_txt">'     . __("Team", CLUB)  . ':</label></td><td><input type="text" name="team_txt"  id="team_txt"  size="30" ></td></tr>
				<tr><td><label for="position_txt">' . __("Position", CLUB)  . ':</label></td><td><input type="text" name="position_txt"  id="position_txt"  size="30" ></td></tr>
				<tr><td><label for="alternate_position_txt">' . __("Alternate position", CLUB)  . ':</label></td><td><input type="text" name="alternate_position_txt"  id="alternate_position_txt"  size="30" ></td></tr>
				<tr><td><label for="category_txt">' . __("Category", CLUB)  . ':</label></td><td><input type="text" name="category_txt"  id="category_txt"  size="20" ></td></tr>
				<tr><td><label for="birthdate">'. __("Birthdate", CLUB)  . ':</label></td>
					<td><input type="text" name="day"    id="day"    size="2" > - '.$month.' - <input type="text" name="year" id="year" size="4" ></td>
				</tr>
				<tr><td><label for="birthplace">'   . __("Birthplace", CLUB)  . ':</label></td><td><input type="text" name="birthplace"  id="birthplace"  size="30" ></td></tr>
				<tr><td><label for="height">'       . __("Height", CLUB)  . ':</label></td><td><input type="text" name="height"  id="height"  size="7" ></td></tr>
				<tr><td><label for="weight">'       . __("Weight", CLUB)  . ':</label></td><td><input type="text" name="weight"  id="weight"  size="7" ></td></tr>
				<tr><td valign="top"><label for="video">'   . __("Video", CLUB)    . ':</label></td><td><textarea rows="7"  name="video"   cols="70"></textarea></td></tr>
				<tr><td valign="top"><label for="remarks">' . __("Remarks", CLUB)  . ':</label></td><td><textarea rows="20" name="remarks" cols="70"></textarea></td></tr>
				<tr><td><label for="picture">'      . __("Picture" , CLUB) .': </td><td><input type="file" name="document" size="50"></td></tr>
				<tr><td><label for="position">'     . __("Position", CLUB) .': </td><td><input type="file" name="position" size="50"></td></tr>
				<tr><td colspan=2><input type="hidden" name="op"      id="op"      value="add" /></td></tr>
				<tr><td><input type="submit" value="' . __("Add New", CLUB) . '"></td></tr>
				</table>
			</form>';
			break;	
		case "edit";
			$obj = new Player($_REQUEST['id']);
			$bd_day   = strftime("%d",strtotime($obj->get_birthdate()));
			$bd_month = strftime("%m",strtotime($obj->get_birthdate()));
			$bd_year  = strftime("%Y",strtotime($obj->get_birthdate()));
			$month = select_month($bd_month);
			/*
			echo "<br>{$obj->get_birthdate()}";
			echo "<br>day :$bd_day";
			echo "<br>mont:$bd_month";
			echo "<br>year:$bd_year";
			echo "<br>obj:";
			echo "<br>obj:";*/
			echo '<h2>' . __("Edit", CLUB) . ' Id='.$_REQUEST['id'].'</h2>
			<form method="post" action="'.$action_players.'" enctype="multipart/form-data">
				<table border=0>
				<tr>
				<td width="60%">
					<table border=0>
						<tr><td><label for="player_txt">' . __("Player", CLUB)  . ':</label></td><td><input type="text" name="player_txt"  id="player_txt"  size="30" value="'.$obj->get_player_txt().'"></td></tr>
						<tr><td><label for="firstname">' . __("Firstname", CLUB)  . ':</label></td><td><input type="text" name="firstname"  id="firstname"  size="30" value="'.$obj->get_firstname().'"></td></tr>
						<tr><td><label for="lastname">' . __("Lastname", CLUB)  . ':</label></td><td><input type="text" name="lastname"  id="lastname"  size="30" value="'.$obj->get_lastname().'"></td></tr>
						<tr><td><label for="number">' . __("Number", CLUB)  . ':</label></td><td><input type="text" name="number"  id="number"  size="3" value="'.$obj->get_number().'"></td></tr>
						<tr><td><label for="team_txt">' . __("Team", CLUB)  . ':</label></td><td><input type="text" name="team_txt"  id="team_txt"  size="30" value="'.$obj->get_team_txt().'"></td></tr>
						<tr><td><label for="position_txt">' . __("Position", CLUB)  . ':</label></td><td><input type="text" name="position_txt"  id="position_txt"  size="30" value="'.$obj->get_position_txt().'"></td></tr>
						<tr><td><label for="alternate_position_txt">' . __("Alternate position", CLUB)  . ':</label></td><td><input type="text" name="alternate_position_txt"  id="alternate_position_txt"  size="30" value="'.$obj->get_alternate_position_txt().'"></td></tr>
						<tr><td><label for="category_txt">' . __("Category", CLUB)  . ':</label></td><td><input type="text" name="category_txt"  id="category_txt"  size="20" value="'.$obj->get_category_txt().'"></td></tr>
						<tr><td><label for="birthdate">'. __("Birthdate", CLUB)  . ':</label></td>
							<td><input type="text" name="day" id="day" size="2" value="'.$bd_day.'"> - '.$month.' - <input type="text" name="year" id="year" size="4" value="'.$bd_year.'"></td>
						</tr>
						<tr><td><label for="birthplace">' . __("Birthplace", CLUB)  . ':</label></td><td><input type="text" name="birthplace"  id="birthplace"  size="30" value="'.$obj->get_birthplace().'"></td></tr>
						<tr><td><label for="height">' . __("Height", CLUB)  . ':</label></td><td><input type="text" name="height"  id="height"  size="7" value="'.$obj->get_height().'"></td></tr>
						<tr><td><label for="weight">' . __("Weight", CLUB)  . ':</label></td><td><input type="text" name="weight"  id="weight"  size="7" value="'.$obj->get_weight().'"></td></tr>
						<tr><td valign="top"><label for="video">'   . __("Video", CLUB)    . ':</label></td><td><textarea rows="7"  name="video"   cols="70">'.$obj->get_video()  .'</textarea></td></tr>
						<tr><td valign="top"><label for="Remarks">' . __("Remarks", CLUB)  . ':</label></td><td><textarea rows="20" name="remarks" cols="70">'.$obj->get_remarks().'</textarea></td></tr>
					</table>
				</td>
				<td width="40%" valign="top">
					<table border=0>
						<tr><td align="center" valign="top">'.$obj->get_document("picture",101,150).'</td></tr>
						<tr><td>'. __("Picture", CLUB) .': <input type="file" name="document" size="50"></td></tr>
						<tr><td align="center" valign="top">'.$obj->get_document("position",101,150).'</td></tr>
						<tr><td>'. __("Position", CLUB).': <input type="file" name="position" size="50"></td></tr>
					</table>
				</td>
				</tr>
				<tr><td colspan=2><input type="hidden" name="op"      id="op"      value="edit" /></td></tr>
				<tr><td colspan=2><input type="hidden" name="id"      id="op"      value="'.$_REQUEST['id'].'" /></td></tr>
				<tr><td colspan=2><input type="submit" value="' . __("Edit", CLUB) . '" /></td></tr>
				</table>						
			</form>';
			break;
		case "delete";
			$obj = new Player($_REQUEST['id']);
			echo '<h2>' . __("Delete", CLUB) . ' Id='.$_REQUEST['id'].'</h2>
			<form method="post" action="'.$action_players.'">
				<p><label for="player_txt">' . __("Name", CLUB)  . ': </label>'.$obj->get_player_txt() .'</p>
				<p><label for="number"    >' . __("Number", CLUB) . ': </label>'.$obj->get_number().'</p>		
				<input type="hidden" name="op"      id="op"      value="delete" />
				<input type="hidden" name="id" id="id" value="'.$_REQUEST['id'].'" />
				<p><input type="submit" value="' . __("Delete", CLUB) . '" /></p>
			</form>';
			break;
		default:
			echo '<h3>' . __("Error", CLUB) .'</h3>';
			echo _e("bad var sql", CLUB);
			break;
	}
	echo "</div>";
}
?>