<?php
/**
 * @project wp-club
 * @file    wp_club_coachs_types.php
 * @class   Coach_Type
 * @author  Alex Borras
 * @date    0606-0707-08080808
 * Class of table wp_club_coachs_types
 */
class Coach_Type
{
/**
 * Class Coach_Type
*/
function Coach_Type($p_coach_type_id = 0)
{
    $num_args = func_num_args();
	// ID value or recordset
    if ($num_args >0)
    {
    	$this->select($p_coach_type_id);
    }
}
// Private Vars
private $coach_type_id;
private $oach_type_txt;
private $exits;
//**
//* Publics properties
//*
/**
* Return coach_type_id
*
* @return bigint(20)
*/
function get_coach_type_id()
{
	return $this->coach_type_id;
}
/**
* Set coach_type_id
*
* @return   void
*/
function set_coach_type_id($p_coach_type_id)
{
    $this->coach_type_id=$p_coach_type_id;
}
/**
* Return oach_type_txt
*
* @return varchar(100)
*/
function get_oach_type_txt()
{
	return $this->oach_type_txt;
}
/**
* Set oach_type_txt
*
* @return   void
*/
function set_oach_type_txt($p_oach_type_txt)
{
    $this->oach_type_txt=$p_oach_type_txt;
}
/**
* Return existe
*
* @return boolean
*/
function get_existe()
{
	return $this->existe;
}
/**
* Set existe
*
* @return   void
*/
function set_existe($p_existe)
{
    $this->existe=$p_existe;
}
//**
//* Publics Methods
//*
function select($p_coach_type_id)
{
    // Se est pasando un recordset
	if (is_object($p_coach_type_id) )
	{
		$this->fill_properties($p_coach_type_id);
		return;
	}
	// Tratamiento de Acceso para cdigo numricos
	$sql = "SELECT * FROM wp_club_coachs_types ";
	if (is_numeric($p_coach_type_id) ) // Se est pasando el identificador
	{
		$sql.= "WHERE coach_type_id=".$p_coach_type_id;
	}
   global $wpdb;
   $this->exits = false;
   $rst = $wpdb->get_results($sql);
   if ( $rst ) {
      foreach( $rst as $row ) {
		   $this->exits = true;
	       $this->fill_properties($row);
      }
   }
}
function fill_properties($p_row)
	// Fill class properties
{
    $this->coach_type_id = $p_row->coach_type_id;
    $this->oach_type_txt = $p_row->oach_type_txt;
}
/**
* Method 
*
* @return   void
*/
function addnew()
	// Insert new data
{
    $sql = "INSERT INTO wp_club_coachs_types SET ";
    $sql.= $this->fill_sql_properties();
    global $wpdb;
    $wpdb->query($sql);
}
/**
* Method 
*
* @return   void
*/
function update()
{
	// Modify data, properties must be filled
	$sql = "UPDATE wp_club_coachs_types SET ";
	$sql.= $this->fill_sql_properties();
    $sql.= " WHERE coach_type_id=". $this->coach_type_id ." LIMIT 1;";
    global $wpdb;
    $wpdb->query($sql);
}
/**
* Method 
*
* @return   void
*/
function delete()
{
    // Delete data
	$sql = "DELETE FROM wp_club_coachs_types ";
    $sql.= " WHERE coach_type_id=". $this->coach_type_id ." LIMIT 1;";
    global $wpdb;
    $wpdb->query($sql);
}
/**
 * Fille properties for SQL query Insert and Update
 *
 * @return   string
*/
function fill_sql_properties()
{
     
	$sql.= "coach_type_txt='".$this->coach_type_txt."',";
    $sql = substr($sql, 0, -1)." "; // del last quote
    return $sql;
}
/**
* Return Tab of data Class
*
@return   string
*/
function show($p_view = "estandar")
{
	switch ($p_view)
	{
		case "estandar":
			return $str;
			break;
	}
}
//End Class
}
?>
