<?php
/*
Plugin Name: Club
Plugin URI: http://www.alexborras.com/software/wordpress-plugins/club/
Description: Manage Sport Club(beta).
Author: Alex Borras (alex@alexborras.com)
Version: 0.1

Author URI: http://www.alexborras.com

Copyright 2008 by Alex Borras

The Club button is taken from the Silk set of FamFamFam. See more at
http://www.famfamfam.com/lab/icons/silk/

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// STOP DIRECT CALLS
if( preg_match( '#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'] ) ) { die( 'You are not allowed to call this page directly.' ); }
// Version and path to check version
global $wpdb, $wp_version, $wpmu_version;
// Version and path to check version
define('CLUBVERSION', "0.1");
// Minimum required database version
define('CLUB_DBVERSION', "0.1");
define('CLUBURL', "http://www.alexborras.com");
$siteurl = trailingslashit(get_option('siteurl'));
define('CLUB', 'club');
define('CLUBUPLOADS', dirname (__FILE__).'/uploads');
define('CLUBUPLOADSURL', $siteurl."wp-content/plugins/club/uploads");
define('CLUBIMAGESURL' , $siteurl."wp-content/plugins/club/images");
define('CLUBICONPLAYER', $siteurl."wp-content/plugins/club/images/ico-player-18x18.jpg");
define('CLUBCALENDARPLAYER', $siteurl."wp-content/plugins/club/images/ico-calendar-18x18.jpg");
define('CLUBTEAMUP', $siteurl."wp-content/plugins/club/images/ico-arrow-up-18x18.jpg");
define('CLUBTEAMDOWN', $siteurl."wp-content/plugins/club/images/ico-arrow-down-18x18.jpg");
define('CLUBFOLDER', $siteurl.'wp-content/plugins/'.basename(dirname(__FILE__)));
define('CLUBPATHINC', dirname(__FILE__));
// Activation
register_activation_hook(__FILE__, 'club_activate' );
function club_activate( ) {
	# add option defaults
	add_option( 'delete_tables_uninstall', 'true' );
	club_install( );
}
function club_install () {
    global $wpdb, $dp_version, $wp_version, $user_ID, $user_identity;
	// Module tables
	// Club Tables
	$club_clubs					= $wpdb->prefix . 'club_clubs';
	$club_teams					= $wpdb->prefix . 'club_teams';
	$club_categories			= $wpdb->prefix . 'club_categories';
	// Players Tables
	$club_players				= $wpdb->prefix . 'club_players';
	$club_positions				= $wpdb->prefix . 'club_positions';
	$club_lines					= $wpdb->prefix . 'club_lines';
	// Competitions Tables
	$club_rosters				= $wpdb->prefix . 'club_rosters';
	$club_seasons				= $wpdb->prefix . 'club_seasons';
	$club_competitions			= $wpdb->prefix . 'club_competitions';
	$club_scores  				= $wpdb->prefix . 'club_scores';
	$club_matches  				= $wpdb->prefix . 'club_matches';
	$club_fields  				= $wpdb->prefix . 'club_fields';
	// Coachs Tables
	$club_coachs_types  		= $wpdb->prefix . 'club_coachs_types';
	// Other Tables
	$club_documents				= $wpdb->prefix . 'club_documents';
	$club_settings				= $wpdb->prefix . 'club_settings';
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	/** 
	 * Clubs tables
	 */
	// Clubs
	if($wpdb->get_var("show tables like '$club_clubs'") != $club_clubs) {
      
		$sql = "CREATE TABLE IF NOT EXISTS " . $club_clubs . " (
		club_id  BIGINT(20) NOT NULL AUTO_INCREMENT,
		club_txt VARCHAR(255) NOT NULL,
		UNIQUE KEY club_id (club_id)
		) ;";
		dbDelta($sql);
		$sql = "INSERT INTO wp_club_clubs (club_id, club_txt) VALUES ('1', 'My Club');";
		dbDelta($sql);
    }
    // Teams
	if($wpdb->get_var("show tables like '$club_teams'") != $club_teams) {
      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_teams . " (
		team_id     BIGINT(20) NOT NULL AUTO_INCREMENT ,
		team_txt    VARCHAR(255) NOT NULL ,
		club_id     BIGINT(20) NOT NULL,
		category_id BIGINT(20) NOT NULL,
		sortorder   BIGINT(20) NOT NULL, 
		UNIQUE KEY  team_id (team_id)
		) ;";
		dbDelta($sql);
		$sql = "INSERT INTO wp_club_teams (team_id, teamd_txt, club_id) VALUES ('1', 'My Team', '1');";
		dbDelta($sql);
	}
	// Categories
	if($wpdb->get_var("show tables like '$club_categories'") != $club_categories) {      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_categories . " (
		category_id  BIGINT(20) NOT NULL AUTO_INCREMENT ,
		category_txt VARCHAR(100) NOT NULL ,
		UNIQUE KEY  category_id (category_id)
		) ;";
		dbDelta($sql);
		$sql = "INSERT INTO $club_coachs_types (coach_type_id, coach_type_txt) VALUES (1, 'Entrenador'),(2, 'Preparador Fsico'),(3, '2 Entrenador');";
		dbDelta($sql);
	}
	/** 
	 * Player tables
	 */
	// Players
	if($wpdb->get_var("show tables like '$club_players'") != $club_players) {      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_players . " (
		player_id    BIGINT(20) NOT NULL AUTO_INCREMENT ,
		player_txt   VARCHAR(100) NOT NULL ,
		firstname    VARCHAR(100) NOT NULL ,
		lastname     VARCHAR(100) NOT NULL ,
		number       VARCHAR(8)   NOT NULL ,
		title        VARCHAR(8)   NOT NULL ,
		team_id      BIGINT(20)   NOT NULL ,
		team_txt     VARCHAR(100) NOT NULL ,
		position_txt VARCHAR(100) NOT NULL ,
		alternate_position_txt VARCHAR(200) NOT NULL ,
		category_txt VARCHAR(100) NOT NULL ,
		birthdate    DATETIME NOT NULL default '0000-00-00 00:00:00',
		birthplace   VARCHAR(100) NOT NULL ,
		height       VARCHAR(100) NOT NULL ,
		weight       VARCHAR(100) NOT NULL ,
		remarks      TEXT         NOT NULL ,
		elo          int(4)       NOT NULL ,
		matches_sanction  int(4)       NOT NULL ,
		matches_remaining int(4)       NOT NULL ,
		UNIQUE KEY  player_id (player_id)
		) ;";
		dbDelta($sql);
		$sql = "INSERT INTO wp_club_playeres (player_id, player_txt, number) VALUES ('1', 'My Player', '1');";
		dbDelta($sql);
	}
	// Positions
	if($wpdb->get_var("show tables like '$club_positions'") != $club_positions) {      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_positions . " (
		position_id  BIGINT(20) NOT NULL AUTO_INCREMENT ,
		position_txt VARCHAR(100) NOT NULL ,
		line_id      BIGINT(20) NOT NULL ,
		sortorder    VARCHAR(4) NOT NULL ,
		UNIQUE KEY  position_id (position_id)
		) ;";
		dbDelta($sql);
	}
	// Lines
	if($wpdb->get_var("show tables like '$club_lines'") != $club_lines) {      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_lines . " (
		line_id  SMALLINT(1)  NOT NULL AUTO_INCREMENT ,
		line_txt VARCHAR(100) NOT NULL ,
		UNIQUE KEY  line_id (line_id)
		) ;";
		dbDelta($sql);
		$sql = "INSERT INTO wp_club_lines (line_id, line_txt) VALUES (1, 'Defensa'),(2, 'Media'),(3, 'Delantera');";
		dbDelta($sql);
	}
	/** 
	 * Competitions tables
	 */
	// Seasons
	if($wpdb->get_var("show tables like '$club_seasons'") != $club_seasons) {      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_seasons . " (
		season_id  BIGINT(20) NOT NULL AUTO_INCREMENT ,
		season_txt VARCHAR(100) NOT NULL ,
		date_init  DATETIME NOT NULL default '0000-00-00 00:00:00',
		date_end   DATETIME NOT NULL default '0000-00-00 00:00:00',
		UNIQUE KEY season_id (season_id)
		) ;";
		dbDelta($sql);
	}
	// Rosters
	if($wpdb->get_var("show tables like '$club_rosters'") != $club_rosters) {      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_rosters . " (
		roster_id    BIGINT(20) NOT NULL AUTO_INCREMENT ,
		player_id    BIGINT(20) NOT NULL ,
		team_id      BIGINT(20) NOT NULL ,
		season_id    BIGINT(20) NOT NULL ,
		position_id  BIGINT(20) NOT NULL ,
		UNIQUE KEY  roster_id (roster_id)
		) ;";
		dbDelta($sql);
	}
	// Competitions
	if($wpdb->get_var("show tables like '$club_competitions'") != $club_competitions) {      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_competitions . " (
		competition_id  BIGINT(20) NOT NULL AUTO_INCREMENT ,
		competition_txt VARCHAR(100) NOT NULL ,
		season_id    BIGINT(20) NOT NULL ,
		sortorder    BIGINT(20) NOT NULL ,
		teams_up     INT(3) NOT NULL,
		teams_down   INT(3) NOT NULL,
		UNIQUE KEY  competition_id (competition_id)
		) ;";
		dbDelta($sql);
	}
	// Scores
	if($wpdb->get_var("show tables like '$club_scores'") != $club_scores) {      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_scores . " (
		score_id  BIGINT(20) NOT NULL AUTO_INCREMENT ,
		competition_id BIGINT(20) NOT NULL ,
		team_id        BIGINT(20) NOT NULL ,
		sortorder      INT(3) NOT NULL,
		points         INT(3) NOT NULL,
		games_played   INT(3) NOT NULL,
		games_won      INT(3) NOT NULL,
		games_drawn    INT(3) NOT NULL,
		games_lost     INT(3) NOT NULL,
		goals_for      INT(3) NOT NULL,
		goals_against  INT(3) NOT NULL,
		UNIQUE KEY  score_id (score_id)
		) ;";
		dbDelta($sql);
	}
	// Matches
	if($wpdb->get_var("show tables like '$club_matches'") != $club_matches) {      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_matches . " (
		match_id  BIGINT(20) NOT NULL AUTO_INCREMENT ,
		competition_id BIGINT(20) NOT NULL ,
		field_id       BIGINT(20) NOT NULL ,
		gameweek      VARCHAR(4)  NOT NULL ,
		played        TINYINT(1)  NOT NULL ,	
		match_date    DATETIME NOT NULL default '0000-00-00 00:00:00',
		team_home_id  BIGINT(20)  NOT NULL ,
		team_away_id  BIGINT(20)  NOT NULL ,
		goals_home    INT(3) 	  NOT NULL,
		goals_away    INT(3) 	  NOT NULL,
		UNIQUE KEY  match_id (match_id)
		) ;";
		dbDelta($sql);
	}
	// Fields
	if($wpdb->get_var("show tables like '$club_fields'") != $club_fields) {      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_fields . " (
		field_id  BIGINT(20) NOT NULL AUTO_INCREMENT ,
		field_txt VARCHAR(100) NOT NULL ,
		UNIQUE KEY  field_id (field_id)
		) ;";
		dbDelta($sql);
	}
	/** 
	 * Coachs tables
	 */
	// Coachs Types
	if($wpdb->get_var("show tables like '$club_coachs_types'") != $club_coachs_types) {      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_coachs_types . " (
		coach_type_id  BIGINT(20) NOT NULL AUTO_INCREMENT ,
		coach_type_txt VARCHAR(100) NOT NULL ,
		UNIQUE KEY  coach_type_id (coach_type_id)
		) ;";
		dbDelta($sql);
		$sql = "INSERT INTO $club_coachs_types (coach_type_id, coach_type_txt) VALUES (1, 'Entrenador'),(2, 'Preparador Fsico'),(3, '2 Entrenador');";
		dbDelta($sql);
	}
	// Documents
	if($wpdb->get_var("show tables like '$club_documents'") != $club_documents) {      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_documents . " (
		document_id   BIGINT(20) NOT NULL AUTO_INCREMENT,
		document_txt  VARCHAR(100) NOT NULL ,
		table_txt     VARCHAR(100) NOT NULL ,
		source_id     BIGINT(20)   NOT NULL ,
		type     	  VARCHAR(100) NOT NULL ,
		document_date DATETIME NOT NULL default '0000-00-00 00:00:00',
		remarks       TEXT         NOT NULL ,
		UNIQUE KEY  document_id (document_id)
		) ;";		
		dbDelta($sql);
	}
	// Settings
	if($wpdb->get_var("show tables like '$club_settings'") != $club_settings) {      
		$sql = "CREATE TABLE  IF NOT EXISTS " . $club_settings . " (
		settings_id  BIGINT(20) NOT NULL ,
		season_id    BIGINT(20) NOT NULL ,
		delete_tables_uninstall TINYINT(1)   NOT NULL default '0',
		table_header_style      VARCHAR(255) NOT NULL 
		) ;";
		dbDelta($sql);
		$table_header_style = "font-family: Arial; font-size: 10pt; color: #FFFFFF; background-color: #000000";
		$sql = "INSERT INTO wp_club_settings (season_id, delete_tables_uninstall,table_header_style) VALUES ('0','0'.'$table_header_style');";
		dbDelta($sql);
	}
}
// Deactivation: No funciona, no se ejecuta el DROP table
register_deactivation_hook(__FILE__,'club_deactivate');
function club_deactivate( ) {
	global $wpdb;
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_clubs' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_teams' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_categories' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_positions' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_players' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_lines' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_coachs_types' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_rosters' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_seasons' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_competitions' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_scores' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_matches' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_fields' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_documents' );
	$wpdb->query('DROP TABLE '.$wpdb->prefix . 'club_settings' );
	/*

	$club_options = get_option('club_options');
	if ($club_options['delete_tables_uninstall'] == true) {
		echo "delete_tables_uninstall = true";
		dbDelta('DROP TABLE '.$wpdb->prefix . 'club_clubs' );
		dbDelta('DROP TABLE '.$wpdb->prefix . 'club_teams' );
		dbDelta('DROP TABLE '.$wpdb->prefix . 'club_categories' );
		dbDelta('DROP TABLE '.$wpdb->prefix . 'club_players' );
		dbDelta('DROP TABLE '.$wpdb->prefix . 'club_positions' );
		dbDelta('DROP TABLE '.$wpdb->prefix . 'club_lines' );
		dbDelta('DROP TABLE '.$wpdb->prefix . 'club_coachs_types' );
		dbDelta('DROP TABLE '.$wpdb->prefix . 'club_rosters' );		
		dbDelta('DROP TABLE '.$wpdb->prefix . 'club_seasons' );		
		dbDelta('DROP TABLE '.$wpdb->prefix . 'club_competitions' );		
		dbDelta('DROP TABLE '.$wpdb->prefix . 'club_scores' );		
		dbDelta('DROP TABLE '.$wpdb->prefix . 'club_documents' );
		dbDelta('DROP TABLE '.$wpdb->prefix . 'club_settings' );
	}
	*/
}
// Load language
add_action('init', 'club_init');
 // add css in header
add_action('wp_head', 'club_css');
function club_init (){
	load_plugin_textdomain('club','wp-content/plugins/club/languages');
}
add_filter('the_content', 'club_show');
add_filter('the_content', 'player_show');
include_once (dirname (__FILE__)."/club-page.php");
include_once (dirname (__FILE__)."/club-page-players.php");
// Load the admin panel
if (is_admin()) {	
	include_once (dirname (__FILE__)."/club-admin.php");	
} else { 	
	// Options for not Admin Users
}
// just return the css link
// this function is called via the wp_head hook
//
function club_css($wpfcid="A") {
	$siteurl     = trailingslashit(get_option('siteurl'));
  	$plugin_path = $siteurl . '/wp-content/plugins/club';
  	echo "<link rel=\"stylesheet\" href=\"". $plugin_path. "/club.css\" type=\"text/css\" media=\"screen\" />\n";
}
?>